version: 1.0.{build}
image: Visual Studio 2015
skip_tags: true
build_script:
- cmd: >-
    cd build

    mkdir win32 win64

    cd win32

    cmake .. -G "Visual Studio 14 2015"

    cmake --build . --config Release

    cd ../win64

    cmake .. -G "Visual Studio 14 2015 Win64"

    cmake --build . --config Release

notifications:
  - provider: Email
    to:
      - '{{commitAuthorEmail}}'
      - fober@grame.fr
    subject: 'Build {{status}}: {{projectName}} {{buildVersion}}'
    on_build_success: false
    on_build_failure: true
    on_build_status_changed: true
